document.addEventListener('DOMContentLoaded', function() {
    // Sticky Navigation
    const nav = document.querySelector('.main-nav');
    window.addEventListener('scroll', () => {
        if (window.scrollY > 100) {
            nav.classList.add('scrolled');
        } else {
            nav.classList.remove('scrolled');
        }
    });

    // Simple Chatbot
    const chatbot = document.getElementById('chatbot');
    let isChatbotOpen = false;

    function toggleChatbot() {
        isChatbotOpen = !isChatbotOpen;
        chatbot.style.display = isChatbotOpen ? 'block' : 'none';
    }

    // Create chatbot toggle button
    const chatbotButton = document.createElement('button');
    chatbotButton.innerHTML = '💬';
    chatbotButton.classList.add('chatbot-toggle');
    document.body.appendChild(chatbotButton);

    chatbotButton.addEventListener('click', toggleChatbot);

    // Form Submission
    const contactForm = document.getElementById('uploadForm');
    if (contactForm) {
        contactForm.addEventListener('submit', (e) => {
            e.preventDefault();
            alert('Thank you for your message. We will get back to you soon!');
            contactForm.reset();
        });
    }

    // Smooth Scrolling
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });
});